Bug 654233 - [RFE] One-pass creation using TarFile
[RFE] One-pass creation using TarFile
Status: NEW
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
rawhide
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Bryn M. Reeves
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 04:37 EST by Pierre Carrier
Modified: 2014-04-01 07:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre Carrier 2010-11-17 04:37:08 EST
Problem:
- sosreport currently creates a directory, put everything there THEN compress it
- This is CPU-intensive, involves an awful lot of unnecessary system calls, involves way more storage than necessary
- When a sosreport fails, users willing to provide files to their support team have to create the tarball themselves, when they know how to do that

Solution:
- Use Tarfile http://docs.python.org/library/tarfile.html
- Symlinks and commands outputs can be provided directly through TarFile.add() and TarInfo
- All signals need to be catched when possible, to make sure we have a consistent tarball

Positive effects:
- Less I/O, less operations
- A lot less disk space being used
- Virtually no temporary files

Negative effects:
- Back to gzip/bzip2 as TarFile does NOT expose the xz algorithm
-- or --
- Compression happens afterwards (partially defeats the purpose of this RFE)

Super-cool effect:
- (In the long term?) we can stop using /tmp and use the current directory.
- Users would have to be very explicitely notified about this change.

... Stuff I didn't think about yet, but please discuss in the comments.
Comment 1 Fedora Admin XMLRPC Client 2012-02-25 08:50:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-02-27 08:59:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bryn M. Reeves 2012-12-10 07:51:23 EST
Fixed upstream.
Comment 4 Bryn M. Reeves 2014-04-01 07:34:32 EDT
Reverted due to https://github.com/sosreport/sosreport/issues/86

Note You need to log in before you can comment on or make changes to this bug.